# $Revision: 1.19 $, $Date: 2008/07/27 22:59:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Smart
Summary:	XML::Smart - a smart, easy and powerful way to access/create XML files/data
Summary(pl.UTF-8):	XML::Smart - zgrabny, łatwy i potężny sposób dostępu i tworzenia plików/danych XML
Name:		perl-XML-Smart
Version:	1.6.9
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	648309c0d613ddaca6f6b16e9f13c81d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Object-MultiType >= 0.03
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module has an easy way to access/create XML data. It's based on
the HASH tree that is made of the XML data, and enable a dynamic
access to it with the Perl syntax for Hash and Array, without needing
to care if you have a Hash or an Array in the tree. In other words,
each point in the tree work as a Hash and an Array at the same time!

You also have extra resources, like a search for nodes by attribute,
selection of an attribute value in each multiple node, change the
returned format, etc...

%description -l pl.UTF-8
Ten moduł ma łatwy sposób na dostęp i tworzenie danych XML. Jest
oparty na drzewie haszy tworzonym z danych XML i umożliwia dynamiczny
dostęp do nich z użyciem perlowej składni dla haszy i tablic, bez
potrzeby pilnowania, czy w danym drzewie znajdują się hasze czy
tablice. Innymi słowy, każdy węzeł w drzewie funkcjonuje jako hasz i
tablica jednocześnie!

Moduł udostępnia także dodatki takie jak poszukiwanie węzłów według
atrybutów, wybór wartości atrybutu w każdym węźle wielokrotnym, zmiana
formatu zwracanych danych itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:echo n | %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/XML/Smart/*.{pod,epod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Smart.pm
%{perl_vendorlib}/XML/Smart
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Smart.spec,v $
Revision 1.19  2008/07/27 22:59:16  arekm
- release 2

Revision 1.18  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.16  2004/12/12 10:29:47  adamg
- updated to 1.6.9

Revision 1.15  2004/11/03 22:30:57  paladine
- formatting

Revision 1.14  2004/11/02 10:47:36  adamg
- get rid of pod documentation
- release 2

Revision 1.13  2004/09/21 11:02:23  radek
- version 1.6.8

Revision 1.12  2004/08/08 16:59:55  adamg
- updated to 1.6.7

Revision 1.11  2004/05/30 08:39:46  adamg
- updated to 1.6.4

Revision 1.10  2004/05/28 20:19:42  adamg
- updated to 1.6.2

Revision 1.9  2004/05/27 11:41:47  adamg
- updated to 1.6.1

Revision 1.8  2004/05/13 18:55:06  adamg
- updated to 1.6

Revision 1.7  2004/05/07 00:32:06  ankry
- rel. 2

Revision 1.6  2004/05/05 06:28:48  ankry
- license unification, cosmetics

Revision 1.5  2004/04/15 19:58:03  ankry
- cosmetics, unification, license fixes

Revision 1.4  2004/04/13 11:44:03  adamg
- updated to 1.5.9

Revision 1.3  2004/04/11 16:07:31  adamg
- updated to 1.5.8

Revision 1.2  2004/03/28 18:00:11  qboosh
- pl (wrrr)

Revision 1.1  2004/03/28 14:02:35  migo
- initial revision
